# $Revision: 1.30 $, $Date: 2011/02/04 18:24:12 $
Summary:	Virtual sticky pad system
Summary(pl.UTF-8):	Program do umieszczania na pulpicie "karteczek z notatkami"
Name:		xpad
Version:	2.14
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/xpad/%{name}-%{version}.tar.bz2
# Source0-md5:	1e12e6aec8f03a656eb6427ba22c38d3
Patch0:		%{name}-desktop.patch
URL:		http://xpad.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.11.5
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xorg-lib-libSM-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Virtual sticky pad system.

%description -l pl.UTF-8
Program do umieszczania na pulpicie "karteczek z notatkami".

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_iconsdir}/hicolor/*/apps/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpad.spec,v $
Revision 1.30  2011/02/04 18:24:12  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.29  2009/01/22 13:46:51  duddits
- up to 2.14
- desktop.patch updated

Revision 1.28  2008/07/27 23:01:18  arekm
- release 2

Revision 1.27  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.25  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.24  2006/10/05 17:24:27  megabajt
- up to 2.12
- use %update_icon_cache macro

Revision 1.23  2006/03/18 17:39:45  megabajt
- modular xorg deps

Revision 1.22  2006/02/19 15:55:32  megabajt
- updated to 2.11

Revision 1.21  2005/11/01 11:12:59  megabajt
- up to 2.10

Revision 1.20  2005/06/08 15:17:48  zbyniu
- BR: intltool

Revision 1.19  2004/11/27 18:52:10  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.18  2004/07/25 11:41:59  qboosh
- updated to 1.13.1, which builds with gtk+2 2.4.x
- updated locale_names patch, replaced .desktop with desktop patch
- fixed ac/am rebuilding

Revision 1.17  2004/07/25 02:11:50  ankry
- dk -> da, rel. 2

Revision 1.16  2003/12/10 17:59:06  grzegol
- _applnkdir -> _desktopdir; rel. 2

Revision 1.15  2003/08/06 23:21:22  grzegol
- updated to 1.11
- added %%find_lang
- updated %%files
- converted .desktop file to utf-8 and added vi-line

Revision 1.14  2003/07/27 21:27:39  qboosh
- BR: libtool

Revision 1.13  2003/07/27 16:47:04  blues
- now make install works

Revision 1.12  2003/07/27 16:42:22  blues
- reverted last change. If you want to fix - do it right

Revision 1.11  2003/07/26 18:16:00  wolf
- make install is broken

Revision 1.10  2003/05/28 13:03:11  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:28:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/03 11:05:05  misi3k
- updated to 1.10.1

Revision 1.7  2003/03/26 08:26:29  misi3k
- updated to 1.10
- added desktop file
- cosmetics

Revision 1.6  2003/03/22 08:37:21  gotar
- moved to HEAD from xpad2.spec

Revision 1.7  2003/03/20 16:26:28  gotar
- upgraded to 1.9.1,
- working source URL.

Revision 1.6  2003/02/07 23:14:56  gotar
- upgraded to 1.8,
- switched to bz2 sources,
- use autoconf.

Revision 1.5  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.4  2003/01/17 22:33:08  gotar
- upgraded to 1.7

Revision 1.3  2002/05/24 11:15:25  gotar
- new sourceforge Source0 URL

Revision 1.2  2002/05/24 10:58:30  gotar
- new %doc

Revision 1.1  2002/05/23 07:56:06  gotar
- initial release, STBR.
